5.2.3.2.3. Check Anchor Count
Prev | 5.2.3.2. Actions that perform checks - GEF Figure Canvas | Next

#### 5.2.3.2.3. Check Anchor Count

Check Anchor Count

- Use this action to check whether an edit part has a specific count of anchors.

- You identify the edit part based on its textpath.

- This action is only working if there is an implementation for IEditPartIdentifier for the edit part (See developerManual how to write a GEF Toolkit extension). The Anchor type incoming and outgoing are only working if the IExtendedEditPartIdentifier interface is implemented.

- Parameters:

  - Textpath

  - Operator

  - Exists

  - Anchor Type

  - Count

  - Comparison Method